#pragma once

#include "features/world/WorldTypes.h"

namespace ta::features::world
{
    class IWorldSettings
    {
    public:
        virtual ~IWorldSettings() = default;
        [[nodiscard]] virtual WorldSettings read() const = 0;
    };
}
